@media screen and (max-width: 1440px) {
    .solution-page .choice-main .left {
        width: 40%;
    }
}

@media screen and (max-width: 960px) {
    .solution-banner {
        margin-top: 55px;
        height: auto;
        aspect-ratio: 16 / 9;
    }

    .solution-page .choice-main {
        flex-direction: column;
        gap: 20px;
    }

    .solution-page .choice-main .left {
        width: 100%;
    }

    .solution-page .choice-main .right-pic {
        width: 100%;
    }

    .solution-page .supplier {
        flex-direction: column;
        gap: 25px;
    }

    .solution-page .supplier .data .item {
        padding-bottom: 0;
    }

    .solution-page .supplier .supplier-text {
        width: 100%;
    }

    .solution-page .supplier .bg {
        top: auto;
        bottom: var(--solution-padding-130);
        width: 100%;
    }

    .solution-page .supplier .data {
        width: 100%;
    }

    .solution-page .case .list .item {
        flex-direction: column;
    }

    .solution-page .case .list .item .pic {
        width: 100%;
    }

    .solution-page .case .list .item .item-content {
        width: 100%;
        padding-left: 0;
        margin-top: 20px;
    }

    .solution-page .case .list .item:nth-child(even) {
        flex-direction: column;
    }

    .solution-page .case .list .item .btn {
        text-align: right;
    }

    .solution-detail-page .chart .top-content .text {
        width: 100%;
    }

    .solution-detail-page .chart .chart-content {
        flex-direction: column;
        gap: 30px;
    }

    .solution-detail-page .chart .chart-content .left {
        width: 100%;
    }

    .solution-detail-page .chart .chart-content .chart-pic {
        width: 100%;
    }

    .solution-detail-page .pain-points .top-content .text {
        width: 100%;
    }

    .solution-detail-page .pain-points .list {
        flex-direction: column;
    }

    .solution-detail-page .product-program .top-content .text {
        width: 100%;
    }

    .solution-detail-page .product-program .switch-main .program {
        flex-direction: column;
    }

    .solution-detail-page .product-program .switch-main .program .left-pic {
        width: 100%;
    }

    .solution-detail-page .product-advantage .certificate {
        margin-top: -150px;
    }

    .solution-detail-page .dolphin-series .series-content {
        flex-direction: column;
    }

    .solution-detail-page .dolphin-series .series-pic {
        width: 100%;
    }

    .solution-detail-page .dolphin-series .content-list {
        width: 100%;
    }

    .solution-detail-page .battery-logic .timeline {
        flex-direction: column;
    }

    .solution-detail-page .battery-logic .timeline img {
        width: 100%;
    }

    .solution-detail-page .battery-logic .timeline-pic {
        display: none;
    }

    .solution-detail-page .battery-logic .fn {
        flex-direction: column;
        margin-top: 10px;
    }

    .solution-detail-page .battery-logic .fn .item {
        width: 100%;
        gap: 10px;
    }

    .solution-detail-page .calculate .scene-list {
        flex-direction: column;
    }

    .solution-detail-page .calculate-result .result-detail {
        flex-direction: column;
    }

    .solution-detail-page .calculate-result .result-detail .left {
        width: 75%;
    }

    .solution-detail-page .calculate-result .result-detail .line {
        display: none;
    }

    .solution-detail-page .calculate-result .result-detail .data-list {
        width: 100%;
        margin-top: 25px;
    }

    .solution-detail-page .calculate-result .result-item.invest .data-list .item:nth-child(3) {
        margin-top: 0;
    }

    .solution-detail-page .calculate-result .result-item.revenue .data-list {
        margin-top: 20px;
    }

    .solution-detail-page .case .case-swiper .swiper-slide {
        width: 80%;
    }

    .recommend-product .recommend-list {
        overflow: auto;
        justify-content: flex-start;
    }

    .recommend-product .recommend-list .item {
        width: 75vw;
        flex: 0 0 auto;
    }

    .solution-detail-page .product-advantage .advantage-swiper,
    .solution-detail-page .case .case-swiper {
        padding-left: 20px;
        padding-right: 20px;
    }


    .solution-aidc-page .scene-description .list {
        grid-template-columns: repeat(2, 1fr);
    }

    .solution-aidc-page .aidc-trend .trend-item {
        flex-direction: column;
    }

    .solution-aidc-page .aidc-trend .trend-item .left {
        width: 100%;
    }

    .solution-aidc-page .aidc-trend .trend-item .text-content {
        width: 100%;
    }

    .solution-aidc-page .aidc-trend .trend-item {
        gap: 10px;
    }

    .solution-aidc-page .aidc-trend .trend-list {
        margin-top: 20px;
    }

    .solution-aidc-page .aidc-trend .trend-item:nth-child(even) {
        flex-direction: column-reverse;
    }

    .solution-aidc-page .pain-point .list {
        gap: 10px;
    }

    .solution-aidc-page .pain-point .list .item:nth-child(even),
    .solution-aidc-page .pain-point .item {
        flex-direction: column;
    }
    
    .solution-aidc-page .system-operation .top-content .switch-day .btn {
        gap: 5px;
    }

    .solution-aidc-page .pain-point .item .pic {
        width: 100%;
    }

    .solution-aidc-page .pain-point .item .pic img {
        width: 100%;
    }

    .solution-aidc-page .pain-point .item .text-content {
        width: 100%;
    }

    .solution-aidc-page .aidc-solution-main .switch-btn {
        flex-direction: column;
    }

    .solution-aidc-page .aidc-solution-main .example-data {
        flex-direction: column;
    }

    .solution-aidc-page .aidc-solution-main .example-data .left {
        width: 100%;
    }

    .solution-aidc-page .aidc-solution-main .example-data .data-table {
        width: 100%;
    }

    .solution-aidc-page .solar-component .switch-btn ul {
        flex-direction: column;
    }

    .solution-aidc-page .stored-energy-system .series-content {
        flex-direction: column;
    }

    .solution-aidc-page .stored-energy-system .series-pic {
        width: 100%;
    }

    .solution-aidc-page .system-operation .list {
        flex-wrap: wrap;
    }

    .solution-aidc-page .system-operation .list .item {
        flex: auto;
        width: calc(50% - clamp(20px, 2.6vw, 50px) / 2);
    }

    .solution-aidc-page .profit-calculation .table-data {
        overflow: auto;
    }

    .solution-aidc-page .profit-calculation table {
        min-width: 500px;
    }

    .solution-aidc-page .scene-description .list .item {
        aspect-ratio: unset;
    }

    .solution-aidc-page .stored-energy-system .content-list {
        width: 100%;
    }
}